<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
  <title>Prime Numbers</title>
</head>
<body>
 
  <div id="app" class="container mt-5">
    <div class="row">
      <div class="col-md-6 offset-md-3">
        <div class="card">
          <div class="card-body">
            <h5 class="card-title">Prime Numbers</h5>
            <form @submit.prevent="findPrimes">
              <div class="form-group">
                <label for="numberInput">Enter a number (N):</label>
                <input v-model="inputNumber" type="number" class="form-control" id="numberInput" required>
              </div>
              <button type="submit" class="btn btn-primary">Find Primes</button>
            </form>
 
            <div v-if="primeNumbers.length > 0" class="mt-3">
              <h6>Prime Numbers up to {{ inputNumber }}:</h6>
              <ul class="list-group">
                <li v-for="prime in primeNumbers" :key="prime" class="list-group-item">{{ prime }}</li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
  <script src="primos_component.js"></script>
 
</body>
</html>